%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ f ] = func( x )
%
%  Purpose
%
%       Calculates function value for Exercise 4.3.
%
%       See Exercise 4.3 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2nx1 of iterates.
%
%  On return:
%
%     f        value of the objective function.
%
%
%  Written by L. N. Vicente.
%  March 9, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ f ] = func( x )
%
% Obtain dimension n.
  n = size(x,1)/2;
%
% Calculate the objective function.
  f = 0;
  for i = 1:n
      f = f + (1-x(2*i-1))^2 + 10*(x(2*i)-x(2*i-1)^2)^2;
  end
%
% End of function func.
