%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ g ] = gradient( x )
%
%  Purpose
%
%       Calculates gradient for Exercise 4.3.
%
%       See Exercise 4.3 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2nx1 of iterates.
%
%  On return:
%
%     g        vector 2nx1 with gradient of the objective function.
%
%
%  Written by L. N. Vicente.
%  March 9, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ g ] = gradient( x )
%
% Obtain dimension n.
  n = size(x,1)/2;
%
% Compute the gradient of the objective function.
  for i = 1:n
      g(2*i-1) = -2*(1-x(2*i-1)) - 40*x(2*i-1)*(x(2*i)-x(2*i-1)^2);
      g(2*i)   = 20*(x(2*i)-x(2*i-1)^2);
  end
  g = g';
%
% End of function gradient.
