%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  function [ H ] = hessian( x )
%
%  Purpose
%
%       Calculates Hessian for Exercise 4.3.
%
%       See Exercise 4.3 in J. Nocedal and S. J. Wright, 
%       "Numerical Optimization", Springer-Verlag, 1999.
%
%  Parameters
%
%  On entry:
%
%     x        vector 2nx1 of iterates.
%
%  On return:
%
%     H        matrix 2nx2n with Hessian of the objective function.
%
%
%  Written by L. N. Vicente.
%  March 9, 2000.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
  function [ H ] = hessian( x )
%
% Obtain dimension n.
  n = size(x,1)/2;
%
% Compute the Hessain of the objective function.
  H = zeros(2*n,2*n);
  for i = 1:n
      H(2*i-1:2*i,2*i-1:2*i) = [ 2-40*x(2*i)+120*x(2*i-1)^2 -40*x(2*i-1)
                                 -40*x(2*i-1)                20         ];
  end
%
% End of function hessian.
